## org.apache.batik.script.rhino
Class RhinoClassShutter

    java.lang.Object
      org.apache.batik.script.rhino.RhinoClassShutter

All Implemented Interfaces:
  org.mozilla.javascript.ClassShutter

    public class RhinoClassShutter

extends java.lang.Object
implements org.mozilla.javascript.ClassShutter

Class shutter that restricts access to Batik internals from script.

Constructor Summary
`RhinoClassShutter()`

Method Summary
`boolean` `visibleToScripts(java.lang.String fullClassName)` Returns whether the given class is visible to scripts.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RhinoClassShutter

    public RhinoClassShutter()

Method Detail

### visibleToScripts

    public boolean visibleToScripts(java.lang.String fullClassName)

  Returns whether the given class is visible to scripts.

  Specified by:
    `visibleToScripts` in interface `org.mozilla.javascript.ClassShutter`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.